.p-rooms {
  position: relative;
}
.p-rooms-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  background: var(--color-beige);
}
@media screen and (min-width: 768px) {
  .p-rooms-content {
    gap: 60px;
    padding: 120px 0 140px;
  }
}
@media screen and (max-width: 767px) {
  .p-rooms-content {
    gap: 100px;
    padding: 100px 0 100px;
  }
}
@media screen and (min-width: 768px) {
  .p-rooms-grid {
    padding: 120px 0;
  }
  .p-rooms-grid__inner {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 80px 18px;
  }
}
@media screen and (max-width: 767px) {
  .p-rooms-grid {
    padding: 80px 0 100px;
  }
  .p-rooms-grid__inner {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 80px;
  }
}
.p-rooms-detail__subtitle {
  font-size: var(--font-size-en-subtitle);
  line-height: var(--line-height-en-subtitle);
  letter-spacing: 0;
  color: var(--color-middle-red);
}
.p-rooms-detail__title {
  font-size: 0;
  line-height: var(--line-height-en-title);
  color: var(--color-red);
  text-transform: uppercase;
  letter-spacing: var(--letter-spacing-en-title);
}
.p-rooms-detail__title .line {
  font-size: var(--font-size-en-title);
}
.p-rooms-detail__title-ja {
  font-size: var(--font-size-ja-title);
  line-height: var(--line-height-ja-title);
  letter-spacing: var(--letter-spacing-ja-title);
}
.p-rooms-detail__text {
  line-height: 1.75;
  letter-spacing: var(--letter-spacing-body);
  color: var(--color-text);
}
.p-rooms-detail__button {
  margin-top: auto;
  --button-padding-x: 40px;
}
.p-rooms-detail__content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
.p-rooms-detail__box {
  scroll-margin-top: calc(var(--height-header) + 32px);
}
.p-rooms-detail__box-title {
  position: relative;
  line-height: 1;
  letter-spacing: var(--letter-spacing-en-title);
  text-transform: uppercase;
  color: var(--color-red);
}
.p-rooms-detail__box-title span {
  position: relative;
  z-index: 2;
  background: var(--color-beige);
}
.p-rooms-detail__box-title::before {
  content: "";
  display: block;
  position: absolute;
  right: 0;
  top: 50%;
  width: 100%;
  height: 1px;
  background: var(--border-dotted-red);
  z-index: 1;
}
.p-rooms-detail__box-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
.p-rooms-detail__block {
  scroll-margin-top: calc(var(--height-header) + 32px);
}
.p-rooms-detail__block-image {
  position: relative;
}
.p-rooms-detail__block-pagination {
  position: absolute;
  line-height: 1;
  font-size: 0;
  z-index: 2;
  padding: 0 6px;
  --swiper-pagination-bottom: 10px;
  --swiper-pagination-color: var(--color-white);
  --swiper-pagination-bullet-width: 6px;
  --swiper-pagination-bullet-height: 6px;
  --swiper-pagination-bullet-horizontal-gap: 4px;
  --swiper-pagination-bullet-opacity: 1;
  --swiper-pagination-bullet-inactive-color: var(--color-white);
  --swiper-pagination-bullet-inactive-opacity: .3;
}
.p-rooms-detail__block-pagination .swiper-pagination-bullet {
  -webkit-transition: opacity 0.3s;
  transition: opacity 0.3s;
}
.p-rooms-detail__block-title {
  font-size: var(--font-size-ja-subtitle);
  line-height: var(--line-height-ja-title);
  letter-spacing: var(--letter-spacing-ja-title);
}
.p-rooms-detail__block-text {
  font-size: var(--font-size-body);
  line-height: var(--line-height-body);
  letter-spacing: var(--letter-spacing-body);
}
@media screen and (min-width: 768px) {
  .p-rooms-detail__inner {
    position: relative;
  }
  .p-rooms-detail__head {
    --button-height: 66px;
  }
  .p-rooms-detail__title {
    margin-top: 40px;
  }
  .p-rooms-detail__title-ja {
    margin-top: 10px;
  }
  .p-rooms-detail__text {
    margin-top: 21px;
    margin-bottom: 25px;
  }
  .p-rooms-detail__content {
    margin-top: 77px;
    gap: 80px;
  }
  .p-rooms-detail__box-title {
    font-size: 47px;
  }
  .p-rooms-detail__box-title span {
    padding-right: 20px;
  }
  .p-rooms-detail__box-content {
    margin-top: 40px;
    gap: 32px;
  }
  .p-rooms-detail__block {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    gap: max(3.33%, 40px);
  }
  .p-rooms-detail__block--main {
    display: block;
  }
  .p-rooms-detail__block--main .p-rooms-detail__block-image {
    width: 100%;
  }
  .p-rooms-detail__block--main .p-rooms-detail__block-content {
    margin-top: 32px;
    width: 59.16%;
  }
  .p-rooms-detail__block-image {
    width: 49.2%;
  }
  .p-rooms-detail__block-content {
    -webkit-box-flex: 1;
        -ms-flex: 1 1 0%;
            flex: 1 1 0%;
  }
  .p-rooms-detail__block-subtitle {
    font-size: 18px;
  }
  .p-rooms-detail__block-text {
    margin-top: 16px;
  }
}
@media screen and (min-width: 768px) and (max-width: 1000px) {
  .p-rooms-detail {
    --head-width: 240px;
  }
  .p-rooms-detail__subtitle br.u-only-responsive {
    display: inline;
  }
}
@media screen and (min-width: 768px) and (max-width: 900px) {
  .p-rooms-detail__content {
    gap: 52px;
  }
  .p-rooms-detail__block {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    gap: 0;
  }
  .p-rooms-detail__block-image {
    width: 100%;
  }
  .p-rooms-detail__block-content {
    margin-top: 23px;
  }
  .p-rooms-detail__block-text {
    margin-top: 14px;
  }
}
@media screen and (max-width: 767px) {
  .p-rooms-detail__title {
    margin-top: 32px;
  }
  .p-rooms-detail__title-ja {
    margin-top: 32px;
  }
  .p-rooms-detail__text {
    margin-top: 12px;
  }
  .p-rooms-detail__content {
    margin-top: 38px;
    gap: 46px;
  }
  .p-rooms-detail__box-title {
    font-size: 41px;
  }
  .p-rooms-detail__box-title span {
    padding-right: 20px;
  }
  .p-rooms-detail__box-content {
    margin-top: 30px;
    gap: 52px;
  }
  .p-rooms-detail__block-content {
    margin-top: 23px;
  }
  .p-rooms-detail__block-text {
    margin-top: 14px;
  }
}